# H245_TerminalCapabilitySetReject_cause Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_unspecified, e_undefinedTableEntryUsed, e_descriptorCapacityExceeded, e_tableEntryCapacityExceeded }

## Public Member Functions

| H245_TerminalCapabilitySetReject_cause (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_TerminalCapabilitySetReject_cause_tableEntryCapacityExceeded & ()
| operator const H245_TerminalCapabilitySetReject_cause_tableEntryCapacityExceeded & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_TerminalCapabilitySetReject_cause::Choices

Enumerator:

  e_unspecified |
  e_undefinedTableEntryUsed |
  e_descriptorCapacityExceeded |
  e_tableEntryCapacityExceeded |

## Constructor & Destructor Documentation

H245_TerminalCapabilitySetReject_cause::H245_TerminalCapabilitySetReject_cause | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_TerminalCapabilitySetReject_cause::operator H245_TerminalCapabilitySetReject_cause_tableEntryCapacityExceeded & | ( |  | ) |

H245_TerminalCapabilitySetReject_cause::operator const H245_TerminalCapabilitySetReject_cause_tableEntryCapacityExceeded & | ( |  | ) | const

PBoolean H245_TerminalCapabilitySetReject_cause::CreateObject | ( |  | ) |

PObject* H245_TerminalCapabilitySetReject_cause::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h